/***************************************************************************
    begin                : Sun Oct 3 1999
    copyright            : (C) 1997-99 by Peter Putzer
    email                : putzer@kde.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; version 2.                              *
 *                                                                         *
 ***************************************************************************/

#ifndef KSV_CORE_H
#define KSV_CORE_H

class TQPushButton;
class TQStyleSheet;
class KAboutData;
class KCompletion;
class KSVItem;

namespace ksv
{
  bool getServiceDescription (const TQString& path, TQString& res);

  TQString breakWords (const TQString& s, int amount);

  /**
   * \return the Unicode string for the (c) symbol.
   */
  const TQString& copyrightSymbol ();

  TQStyleSheet* styleSheet ();

  const TQString& logFileFilter ();
  const TQString& nativeFileFilter ();

  const TQString& logFileExtension ();
  const TQString& nativeFileExtension ();

  KCompletion* serviceCompletion ();
  KCompletion* numberCompletion ();

  extern const int runlevelNumber;
  extern KAboutData* about;

  enum Messages {
    RunlevelsReadOnly = 0,
    CouldNotGenerateSortingNumber
  };
  
  extern const char* notifications[];
}

#endif // KSV_CORE_H

